Record Activity
curl --request POST \
--url https://api.member.dev/api/v1/hub/{hub_id}/activity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"extras": {}
},
"type": "activity_events"
}
}
'import requests
url = "https://api.member.dev/api/v1/hub/{hub_id}/activity"
payload = { "data": {
"attributes": { "extras": {} },
"type": "activity_events"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {attributes: {extras: {}}, type: 'activity_events'}})
};
fetch('https://api.member.dev/api/v1/hub/{hub_id}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"contact_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"extras": {},
"hub_id": "<string>",
"last_login_at": "2023-11-07T05:31:56Z",
"last_search_at": "2023-11-07T05:31:56Z",
"login_count": 123,
"search_count": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"type": "contact_hub_stats"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}activity-portal
Record Activity
Record a login or search activity event for the authenticated contact.
Emits the matching HubLoginRecorded / HubSearchRecorded domain
event on success.
POST
/
api
/
v1
/
hub
/
{hub_id}
/
activity
Record Activity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
⌘I